classification
Title: names=None case is not handled by EnumMeta._create_ method
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ethan.furman Nosy List: anentropic, barry, eli.bendersky, ethan.furman, miss-islington
Priority: normal Keywords: patch

Created on 2017-11-05 11:21 by anentropic, last changed 2018-05-15 19:40 by ethan.furman. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 4288 merged anentropic, 2017-11-05 11:21
PR 6484 merged miss-islington, 2018-04-16 03:41
PR 6485 merged miss-islington, 2018-04-16 03:42
Messages (5)
msg305591 - (view) Author: Anentropic (anentropic) * Date: 2017-11-05 11:21
It seems to me that this method should not have names=None default value in signature, because that case is not handled, nor is it described as a possible value in the docstring.

Seems like maybe a copy and paste from __call__, which has basically same signature, but names=None is valid and handled there.
msg315350 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2018-04-16 03:40
New changeset b8e21f12891382bc0aac5ccd13dcb4a990d65e0a by Ethan Furman (anentropic) in branch 'master':
bpo-31947: remove None default for names param in Enum._create_ (GH-4288)
https://github.com/python/cpython/commit/b8e21f12891382bc0aac5ccd13dcb4a990d65e0a
msg315366 - (view) Author: miss-islington (miss-islington) Date: 2018-04-16 20:49
New changeset 3bcca488fe753ae8cef9178e32237f84927c938e by Miss Islington (bot) in branch '3.7':
bpo-31947: remove None default for names param in Enum._create_ (GH-4288)
https://github.com/python/cpython/commit/3bcca488fe753ae8cef9178e32237f84927c938e
msg316668 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2018-05-15 15:19
New changeset c50e5b1f1f2501f697aa52d9c9a440bdeced7006 by Ethan Furman (Miss Islington (bot)) in branch '3.6':
bpo-31947: remove None default for names param in Enum._create_ GH-4288 (GH-6485)
https://github.com/python/cpython/commit/c50e5b1f1f2501f697aa52d9c9a440bdeced7006
msg316707 - (view) Author: Ethan Furman (ethan.furman) * (Python committer) Date: 2018-05-15 19:40
Thank you, Anentropic!
History
Date User Action Args
2018-05-15 19:40:45ethan.furmansetstatus: open -> closed
messages: + msg316707

assignee: ethan.furman
resolution: fixed
stage: patch review -> resolved
2018-05-15 15:19:53ethan.furmansetmessages: + msg316668
2018-04-16 20:49:36miss-islingtonsetnosy: + miss-islington
messages: + msg315366
2018-04-16 03:42:45miss-islingtonsetpull_requests: + pull_request6184
2018-04-16 03:41:55miss-islingtonsetkeywords: + patch
pull_requests: + pull_request6183
2018-04-16 03:40:38ethan.furmansetmessages: + msg315350
2018-03-26 09:06:22serhiy.storchakasetnosy: + barry, eli.bendersky, ethan.furman
stage: patch review

components: + Library (Lib)
versions: - Python 3.4, Python 3.5
2017-11-05 11:21:06anentropiccreate